/* h1 {
    margin-bottom: 2rem;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
} */

.slider-container {
    position: relative;
    /* max-width: 100%; */
    /* margin: 1rem; */
    /* padding:0.5rem; */
    overflow: hidden;
    border-radius: 10px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.3);
}

.slider {
    position: relative;
    width: 100%;
    height: 500px;
    overflow: hidden;
}

.slides {
    display: flex;
    width: 100%;
    height: 100%;
    transition: transform 0.5s ease-in-out;
}

.slides img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    flex: 1 0 100%;
}

.prev, .next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: rgba(0, 0, 0, 0.5);
    color: white;
    border: none;
    font-size: 24px;
    width:50px;
    height:50px;
    cursor: pointer;
    transition: background 0.3s;
    z-index: 10;
}

.prev {
    left: 10px;
    border-radius: 50%;
}

.next {
    right: 10px;
    border-radius: 50%;
}

.prev:hover, .next:hover {
    background: rgba(0, 0, 0, 0.8);
}

.dots {
    display: flex;
    justify-content: center;
    gap: 10px;    
}

.dot {
    width: 12px;
    height: 12px;
    background: #ccc;
    border-radius: 50%;
    cursor: pointer;
    transition: background 0.3s;
}

.dot.active {
    background: red;
}

.dot:hover {
    background: black;
}

@media (max-width: 800px) {
    /* .slider-container {
        max-width: 95%;
        height: 350px;
    }     */
    
    .prev, .next {
        padding: 10px;
        font-size: 18px;
    }
}